# $Revision: 1.86 $, $Date: 2011/11/17 19:53:10 $
# TODO:
#  - some python plugin can be built, but it's hardly disabled (why ?)
#  - there's lot of stuff in misc directory, some of them interesting
#    (to be compiled, moved to doc, or something else)
#  - bzfsAPI.h and other is marked ad noinst_HEADER, maybe in future it will
#    be installed too, to allow compiling plugins externall
#  - finish init script (currently runs server from root)
#
Summary:	Multiplayer 3D tank battle game
Summary(pl.UTF-8):	Gra 3D dla wielu graczy - czołgi
Name:		bzflag
Version:	2.4.0
Release:	5
License:	LGPL v2.1
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/bzflag/%{name}-%{version}.tar.bz2
# Source0-md5:	5b38894b7a7f883ffbe8f5e4c580ee25
Source1:	%{name}.desktop
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Patch0:		%{name}-etc_dir.patch
Patch1:		%{name}-nolibs.patch
URL:		http://BZFlag.org/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel >= 1.2.5
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	c-ares-devel
BuildRequires:	curl-devel >= 7.9.5
BuildRequires:	glew-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
bzflag is a networked multiplayer 3D tank battle game, combining both
fast action and strategy. Free-for-all and capture-the-flag styles are
available.

%description -l pl.UTF-8
bzflag jest sieciową grą czołgową 3D, łączącą szybką akcję ze
strategią. Grać można w wolnym stylu lub metodą "zdobądź flagę".

%package server
Summary:	bzflag server and console utilities
Summary(pl.UTF-8):	Server bzflag i narzędzia konsolowe
Group:		X11/Applications/Games
Conflicts:	bzflag < 1.10.8.20041007-1

%description server
bzflag server and console utilities.

%description server -l pl.UTF-8
Server bzflag i narzędzia konsolowe.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

:> m4/mkdirp.m4
:> m4/sdl.m4

%build
CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
CPPFLAGS="%{rpmcflags} -I/usr/include/ncurses"
export CFLAGS CPPFLAGS
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--enable-threads	\
	--enable-plugins	\
	--enable-bzadmin	\
	--disable-timebomb	\
	--disable-sdltest	\
	--enable-client		\
	--enable-robots		\
	--enable-snapping

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/bzflag} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_mandir}/man6} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/bzflag
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/bzflag

install data/bzflag-48x48.png $RPM_BUILD_ROOT%{_pixmapsdir}/bzflag.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README README.Linux BUGS TODO ChangeLog
%attr(755,root,root) %{_bindir}/bzflag
%{_mandir}/man6/bzflag.6*
%{_desktopdir}/bzflag.desktop
%{_pixmapsdir}/bzflag.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.xpm
%{_datadir}/%{name}/*.wav
%{_datadir}/%{name}/*.png
%dir %{_datadir}/%{name}/fonts
%{_datadir}/%{name}/fonts/*
%dir %{_datadir}/%{name}/l10n
%{_datadir}/%{name}/l10n/%{name}_xx.po
%{_datadir}/%{name}/l10n/ISO-639-2_values_8bits.txt
%lang(cs) %{_datadir}/%{name}/l10n/%{name}_cs_CZ.po
%lang(da) %{_datadir}/%{name}/l10n/%{name}_da.po
%lang(de) %{_datadir}/%{name}/l10n/%{name}_de.po
%lang(en) %{_datadir}/%{name}/l10n/%{name}_en_US_l33t.po
%lang(en) %{_datadir}/%{name}/l10n/%{name}_en_US_redneck.po
%lang(es) %{_datadir}/%{name}/l10n/%{name}_es.po
%lang(fr) %{_datadir}/%{name}/l10n/%{name}_fr.po
%lang(it) %{_datadir}/%{name}/l10n/%{name}_it.po
%lang(tlh) %{_datadir}/%{name}/l10n/%{name}_kg.po
%lang(lt) %{_datadir}/%{name}/l10n/%{name}_lt.po
%lang(nl) %{_datadir}/%{name}/l10n/%{name}_nl.po
%lang(pt) %{_datadir}/%{name}/l10n/%{name}_pt.po
%lang(sv) %{_datadir}/%{name}/l10n/%{name}_sv.po
#%attr(755,root,root) %{_libdir}/*.so

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bzadmin
%attr(755,root,root) %{_bindir}/bzfs
%{_mandir}/man5/bzw.5*
%{_mandir}/man6/bzadmin.6*
%{_mandir}/man6/bzf[!l]*
%attr(754,root,root) /etc/rc.d/init.d/bzflag
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/bzflag

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bzflag.spec,v $
Revision 1.86  2011/11/17 19:53:10  arekm
- release 5

Revision 1.85  2011/08/31 18:29:58  arekm
- release 4

Revision 1.84  2011/08/31 16:34:50  arekm
- release 3

Revision 1.83  2011/08/31 09:14:34  arekm
- release 2

Revision 1.82  2011/07/04 13:35:43  lisu
- updated to 2.4.0

Revision 1.81  2010/04/02 07:38:04  lisu
- 2.0.16

Revision 1.80  2010/02/17 23:55:09  sparky
- BR: glew-devel

Revision 1.79  2010/02/17 10:33:45  lisu
- use icon provided by authors (nicer in my opinion)

Revision 1.78  2010/02/17 10:05:38  lisu
- updated to 2.0.14
- fix SOURCEs install

Revision 1.77  2009/01/16 09:57:45  arekm
- ugly init script

Revision 1.76  2008/08/17 20:07:57  qboosh
- BR: libtool

Revision 1.75  2008/08/10 14:04:27  arekm
- up to 2.0.12

Revision 1.74  2008/08/09 22:24:32  arekm
- release 3

Revision 1.73  2008-01-14 18:36:45  arekm
- rel 2

Revision 1.72  2007-12-15 22:46:24  adamg
- updated to 2.0.10

Revision 1.71  2007/04/20 20:46:55  pluto
- rebuild with new libstdc++.

Revision 1.70  2007/03/09 20:50:23  qrczak
- Re-added tlh translation.

Revision 1.69  2007/03/09 12:10:46  qrczak
- tlh (Klingon) locale is not supported by glibc.

Revision 1.68  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.67  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.66  2006/12/25 14:17:30  arekm
- rel 2; drop unneded/conflicting macros

Revision 1.65  2006/07/26 19:59:50  matowy
- proper License

Revision 1.64  2006/06/05 11:58:01  gotar
- use system c-ares

Revision 1.63  2006/06/04 22:44:25  gotar
- upgraded to 2.0.8

Revision 1.62  2006/04/27 00:20:16  gotar
- upgraded to 2.0.6

Revision 1.61  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.60  2005/10/06 23:01:12  sparky
- updated to 2.0.4.20050930, codename "Shiny"
- added TODO

Revision 1.59  2005/10/05 12:52:03  qboosh
- no macro in Icon

Revision 1.58  2005/06/19 19:34:48  blekot
- up to 2.0.2.20050318

Revision 1.57  2005/05/17 14:35:07  darekr
- unify; BR: sed 4.0

Revision 1.56  2005/02/16 16:33:35  sparky
- fixed: BRs, ncurses include, explicit configure
- STBR

Revision 1.55  2005/01/21 19:08:27  maho
- version 2.0.0

Revision 1.54  2005/01/03 14:33:03  qboosh
- missing defattr, make no assumptions about man compression

Revision 1.53  2005/01/03 08:10:33  ankry
- typos, Klingon code is tlh

Revision 1.52  2004/12/31 16:55:13  sparky
- Updated to 1.10.8.20041007
- separated server package
- po files marked with lang() macro

Revision 1.51  2004/10/16 22:40:51  qboosh
- added nolibs patch to kill unnecessary -lbind; release 4

Revision 1.50  2004/10/05 00:18:58  havner
- rel up to rebuild with new bind-libs
- hawk, why haven't you made a note about soname change?!

Revision 1.49  2004/07/03 22:49:37  havner
- applnk -> vfolders

Revision 1.48  2004/05/24 21:05:14  pluto
- hostmask based bans added.

Revision 1.47  2004/05/24 08:06:56  pluto
- updated to 1.10.6 "the little hop".

Revision 1.46  2004/02/21 20:05:47  undefine
- release 1

Revision 1.45  2004/01/29 23:42:35  eothane
- updated to 1.10.4.20040125, few cosmetics

Revision 1.44  2003/12/30 23:17:22  qboosh
- ac/am deps, License is just GPL acc. to web page
- .desktop temporarily back to applnkdir - there is no Categories field

Revision 1.43  2003/12/30 19:44:11  bszx
- updated to 1.10.2.20031223

Revision 1.42  2003/08/06 16:39:27  kloczek

Revision 1.41  2003/06/13 13:40:12  ankry
- added md5

Revision 1.40  2003/06/13 10:17:17  misi3k
- Source0 cosmetics

Revision 1.39  2003/05/25 05:46:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.38  2003/04/26 10:33:12  misiek
- fixed (was searching for files in wrong path)

Revision 1.37  2003/04/07 12:22:02  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.36  2003/03/23 19:37:41  juandon
- added home_etc.patch
- Release 2

Revision 1.35  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.34  2003/01/06 00:00:50  radek
- version 1.7g0
- better (faster server) Source0 URL
- commented out bzflag-printscore.patch (it's missing in the CVS)

Revision 1.33  2002/06/23 15:14:45  kloczek
- use new %doc.

Revision 1.32  2002/06/23 13:37:05  misiek
- updated to 1.7e6

Revision 1.31  2002/04/25 15:56:18  arturs
- fixed a small typo

Revision 1.30  2002/04/12 20:06:21  marcus
- rel.2.

Revision 1.29  2002/04/12 20:05:57  marcus
- s/Source1/Source2

Revision 1.28  2002/04/12 17:07:41  kloczek
- release 1: changed Icon for desktop to png file.

Revision 1.27  2002/04/12 13:22:42  jajcus
- Version: 1.7e4

Revision 1.26  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/01/27 18:16:25  filon
- correct manpages location
- release 2

Revision 1.24  2002/01/18 02:12:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/04/20 22:18:20  blues
- url changed

Revision 1.22  2001/04/20 12:27:38  jajcus
- Version: 1.7e2

Revision 1.21  2001/04/13 22:52:10  kloczek
- release 2: added using %%{rpmcflags} macro.

Revision 1.20  2001/03/23 10:57:48  jajcus
- BuildRequires: OpenGL-devel instead of XFree86-OpenGL-devel
- Requires: OpenGL
- %%_noautoreqdep macro defined

Revision 1.19  2001/03/16 02:06:06  kloczek
- fixed (my) typo in %install.

Revision 1.18  2001/03/15 20:32:36  kloczek
- make spec %%{degug} ready,
- added using %%{_applnkdir} and %%{_pixmapdir} macros.

Revision 1.17  2001/03/15 14:52:04  jajcus
- Do not use %%{name} macro in "Icon:" (builder doesn't like it)

Revision 1.16  2001/03/15 14:46:49  jajcus
- update to 1.7e1 finished. STBR

Revision 1.15  2001/03/14 18:43:11  wiget
- first step to 1.7e1; changes Source and URL

Revision 1.14  2000/09/02 12:38:13  misiek
- BuildRequires: XFree86-OpenGL-devel

Revision 1.13  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.10  2000/04/19 10:19:56  jajcus
- patch setting SO_REUSEADDR for server socked
- patch enabling "-printscore" server option

Revision 1.9  2000/04/09 13:34:55  jajcus
- release fixed (it is the first release of this pkg)

Revision 1.8  2000/04/09 13:12:04  jajcus
- URLs updated

Revision 1.7  2000/04/09 13:06:42  jajcus
- totaly rewritten. It is now FHS 2.0 comatible

Revision 1.6  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.4  2000/03/28 11:02:44  arturs
- typo

Revision 1.3  2000/03/25 21:13:57  arturs
- added %description -l pl: additions & corrections

Revision 1.2  1999/11/27 14:24:09  kloczek
- adapter(ized) and partialy rewrited.
